Bug 499349 - "Backspace" has wrong function in Assamese Codepoint.
"Backspace" has wrong function in Assamese Codepoint.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 06:21 EDT by XinSun
Modified: 2009-12-21 02:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 02:11:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 XinSun 2009-05-06 06:28:51 EDT
The version of pango :
pangomm-2.14.1-1.fc10.x86_64
pango-1.22.3-1.fc10.i386
pango-1.22.3-1.fc10.x86_64
pango-devel-1.22.3-1.fc10.x86_64
Comment 3 A S Alam 2009-05-11 02:43:18 EDT
Description of problem:
 "Backspace" has wrong function in Assamese Codepoint.You should press it twice
to delete the word.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Open a gedit and select the "RAW CODE" in scim-bridge.
2.Input "09CB", "09CC","09DC","09DD","09DF" in gedit. 
3.Press "Backspace" to delete each word (Make sure the cursor should be at the
right of the each word).


Actual results:
Each word should be deleted totally when you press "Backspace" once.


Expected results:
Each word isn't deleted  when you press "Backspace" once,you should press the
"Backspace" again to delete it totally.
Comment 4 Bug Zapper 2009-11-18 06:54:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Pravin Satpute 2009-11-24 00:18:53 EST
i guess it will get fixed auto with harfbuzz and pango merger,
moving to rawhide
Comment 6 Parag Nemade 2009-12-21 02:11:14 EST
Please have a look at Unicode data file http://www.unicode.org/Public/5.2.0/ucd/CompositionExclusions.txt where its clearly said that codepoints U09DC, U09DD, U09DF need more than one backspace key to delete whole character.

Note You need to log in before you can comment on or make changes to this bug.